# -*- coding: UTF-8 -*-

import config

def get(lang=config.lang):
	if(not lang.__class__ in [str, unicode]):
		lang = config.lang
	try:
		lang = lang.replace("-", "_")
		return strings.__dict__[lang]
	except KeyError:
		return strings.__dict__[config.lang]


# If you change or add any strings in this file please contact the translators listed below
# Everything must be in UTF-8
# Look for language codes here - http://www.w3.org/WAI/ER/IG/ert/iso639.htm
# Current languages: English, Dutch, German, French

class strings:
	class en: # English - James Bunton <mailto:james@delx.cjb.net>
		# Text that may get sent to the user. Useful for translations. Keep any %s symbols you see or you will have troubles later
		registerText = u"Please type your MSN Passport (user@hotmail.com) into the username field, your password and desired base nickname.\nFor more information see http://msn-transport.jabberstudio.org/users"
		gatewayTranslator = u"Enter the user's MSN account."
		userMapping = u"The MSN contact %s has a Jabber ID %s. It is recommended to talk to this person through Jabber."
		notLoggedIn = u"Error. You must log into the transport before sending messages."
		notRegistered = u"Sorry. You do not appear to be registered with this transport. Please register and try again. If you are having trouble registering please contact your Jabber administrator."
		waitForLogin = u"Sorry, this message cannot be delivered yet. Please try again when the transport has finished logging in."
		groupchatInvite = u"You have been invited into a groupchat on the legacy service. You must join this room to switch into groupchat mode %s.\nIf you do not join this room you will not be able to participate in the groupchat, but you will still appear to have joined it to contacts on the MSN service."
		groupchatFailJoin1 = u"You did not join the groupchat room %s.\nThe following users were in the groupchat:"
		groupchatFailJoin2 = u"You have been removed from this room on the legacy service. The following was said before you were disconnected, while you appeared to be in the groupchat to the contacts on the legacy service."
		groupchatPrivateError = u"Sorry. You cannot send private messages to users in this groupchat. Please instead add the user to your contact list and message them that way."
		msnMaintenance = u"Notification from Microsoft. The MSN Messenger network will be going down for maintenance."
		msnMultipleLogin = u"Your MSN account has been logged in elsewhere. Please logout at the other location and then reactivate the MSN transport."
		msnNotVerified = u"Your MSN passport %s, has not had it's email address verified. MSN users will not be able to see your nickname, and will be warned that your account may not be legitimate. Please see Microsoft for details."
		msnLoginFailure = u"MSN transport could not log into your MSN account %s. Please check that your password is correct. You may need to re-register the transport."
		msnFailedMessage = u"This message could not be delivered. Please check that the contact is online, and that their address on your contact list is correct.\nMessage was:\n\n"
		msnInitialMail = u"Hotmail notification\n\nUnread message in inbox: %s\nUnread messages in folders: %s"
		msnRealtimeMail = u"Hotmail notification\n\nFrom: %s <%s>\n Subject: %s"
		msnDisconnected = u"Disconnection from MSN servers: %s"
	en_US = en # en-US is the same as en, so are the others
	en_AU = en
	en_GB = en
	
	
	class nl: # Dutch - Matthias Therry <matthias.therry@pi.be>
		registerText = u"Voer je MSN Passport (gebruiker@hotmail.com) en je wachtwoord in. Geef ook het vaste deel van je bijnaam op.\nVoor meer info zie http://msn-transport.jabberstudio.org/users.html"
		gatewayTranslator = u"Enter the user's MSN account." #FIXMELANG
		userMapping = u"The MSN contact %s has a Jabber ID %s. It is recommended to talk to this person through Jabber."
		notLoggedIn = u"Fout: Je moet eerst aanmelden op het transport alvorens berichten te versturen."
		notRegistered = u"Sorry, je bent niet geregistreerd op dit transport. Registreer je eerst en probeer dan opnieuw. Contacteer de beheerder van je Jabberserver bij registratieproblemen."
		waitForLogin = u"Sorry, dit bericht kon nog niet worden afgeleverd. Probeer opnieuw wanneer het transport klaar is met aanmelden."
		groupchatInvite = u"Je bent uitgenodigd voor een groepsgesprek op het MSN-netwerk. Neem deel door om te schakelen naar groepsgesprekmodus %s.\nAls je dit niet doet zal je niet kunnen deelnemen aan het gesprek, hoewel het voor de MSN-gebruikers lijkt alsof je toch aanwezig bent."
		groupchatFailJoin1 = u"Je hebt niet deelgenomen aan het groepsgesprek %s.\nVolgende gebruikers zaten in het gesprek:"
		groupchatFailJoin2 = u"Je bent verwijderd uit het groepsgesprek op het MSN-netwerk. Het volgende werd gezegd voor de verbinding werd verbroken, terwijl je voor de andere deelnemers van het groepsgesprek aanwezig leek."
		groupchatPrivateError = u"Sorry, je kan geen priv�berichten sturen naar gebruikers in dit groepsgesprek. Voeg ze toe aan uw contactlijst om hen priv�te kunnen te spreken."
		msnMaintenance = u"Bericht van Microsoft: het MSN-netwerk zal tijdelijk niet bereikbaar zijn door onderhoudswerken."
		msnMultipleLogin = u"Je bent reeds elders aangemeld op deze MSN-account. Meld je daar eerst af en heractiveer vervolgens het MSN-transport."
		msnNotVerified = u"Het mailadres van je MSN Passport %s werd nog niet geverifieerd. Daardoor zien MSN-gebruikers je nickname niet en zullen ze gewaarschuwd worden dat je account mogelijk niet legitiem is. Wend je tot Microsoft voor meer details."
		msnLoginFailure = u"MSN transport kon je niet aanmelden op MSN-account %s. Controleer je wachtwoord. Mogelijk moet je je opnieuw registreren bij het transport."
		msnFailedMessage = u"Het bericht kon niet worden afgeleverd. Controleer of de contactpersoon online is en zijn adres op de contactlijst correct is.\nBericht was:\n\n"
		msnInitialMail = u"Hotmail-meldingen\n\nAantal ongelezen berichten in postvak in: %s\nAantal ongelezen berichten in mappen: %s"
		msnRealtimeMail = u"Hotmail-meldingen\n\nVan: %s <%s>\n Onderwerp: %s"
		msnDisconnected = u"Bezig met verbreken van verbinding met MSN-servers: %s"
	dut = nl
	nla = nl
	
	
	
	class de: # German - Florian Holzhauer <xmpp:fh@jabber.ccc.de>
		registerText = u"Bitte trage Deine MSN-Passport-ID (user@hotmail.com) als User ein, sowie Dein Passwort und Deinen Nickname.\n Mehr Informationen zu diesem Gateway findest Du unter http://msn-transport.jabberstudio.org/users.html"
		gatewayTranslator = u"Enter the user's MSN account." # FIXMELANG!!
		userMapping = u"The MSN contact %s has a Jabber ID %s. It is recommended to talk to this person through Jabber."
		notLoggedIn = u"Fehler. Du musst beim Gateway eingeloggt sein bevor Du Nachrichten schicken kannst."
	 	notRegistered = u"Sorry, Du scheinst Dich bei diesem Gateway noch nicht registriert zu haben. Bitte registriere Dich und versuche es noch einmal. Bei Problemen wendest Du Dich am besten an Deinen Jabber-Administrator"
		waitForLogin = u"Sorry, die Nachricht kann noch nicht uebermittelt werden. Bitte versuche es noch einmal wenn das Gateway bei MSN eingeloggt ist."
		groupchatInvite = u"Du wurdest zu einem MSN-Groupchat eingeladen. Du musst dem Groupchat %s beitreten um teilnehmen zu können, ansonsten kannst Du an dem Groupchat nicht teilnehmen, obwohl es für die anderen Teilnehmer so aussieht, als ob Du im Raum bist."
		groupchatFailJoin1 = u"Du hast den Groupchat-Raum %s nicht betreten.\n Die folgenden User waren im Groupchat:"
		groupchatFailJoin2 = u"Du bist aus diesem Groupchat-Raum ausgeloggt worden. Das folgende wurde in dem Chat gesagt bevor du ausgeloggt wurdest:"
		groupchatPrivateError = u"Du kannst keine privaten Nachrichten an Mitglieder dieses Groupchats schicken. Bitte füge sie stattdessen deinem Roster hinzu."
		msnMaintenance = u"Das MSN Messenger Network wird aus Wartungsgründen von Microsoft heruntergefahren. Bis später!"
		msnMultipleLogin = u"Du bist bereits mit einem anderen Client im MSN Network eingeloggt. Bitte logge den anderen Client aus und aktiviere dann diesen Transport wieder."
		msnNotVerified = u"Dein MSN-Account %s hat keine von Microsoft überprüfte eMail-Adresse. Andere MSN-User können daher Deinen Nickname nicht sehen und werden gewarnt dass dein Account gefälscht sein koennte. Bitte besuche die MSN-Seiten für Details."
		msnLoginFailure = u"Der Login beim MSN-Account %s ist fehlgeschlagen. Bitte überprüfe Dein Passwort und registriere Dich gegebenenfalls erneut."
		msnFailedMesage = u"Die Nachricht konnte nicht übermittelt werden. Bitte prüfe, dass der Contact online ist, und seine Adresse in deiner Contact­List korrekt ist.\nDie Nachricht war:\n\n"
		msnInitialMail = u"Hotmail notification\n\nUngelesene Nachrichten in der Inbox: %s\nUngelesene Nachrichten in anderen Ordnern: %s"
		msnRealtimeMail = u"Hotmail notification\n\nNeue Nachricht von %s <%s>\n Subject: %s"
		msnDisconnected = u"Die Verbindung zum MSN-Server wurde getrennt: %s"


	class fr: # French - Alexandre Viard <mailto:alexandre.viard@free.fr>
		registerText = u"Merci d'entrer votre Passport msn (utilisateur@hotmail.com) dans le champ utilisateur, votre mot de passe et le pseudo désiré.\nPour plus d'information : http://msn-transport.jabberstudio.org/users"
		gatewayTranslator = u"Enter the user's MSN account." # FIXMELANG!!
		notLoggedIn = u"Erreur. Vous devez vous connecter au transport avant d'envoyer un message."
		notRegistered = u"Désolé. Vous ne semblez pas être enregistré auprés du transport. Merci de vous enregistrer et de réessayer. Si vous avez des problèmes pour l'enregistrent merci de contacter votre administrateur Jabber."
		waitForLogin = u"Désolé, ce message ne peux pas être délivré maintenant. Merci de réessayer quand le transport aura fini de vous connecter."
		groupchatInvite = u"Vous avez été invité dans une conférence multiple. Vous devez rejoindre la salle pour faire parti de la conférence %s.\nSi vous ne le faite pas vosu ne pourrez y participer ,mais vous apparaitrez quand meme connecté à la salle pour les autres participantse."
		groupchatFailJoin1 = u"Vous n'avez pas rejoint la salle conférence %s.\nLes utilisateurs suivant y été connecté:"
		groupchatFailJoin2 = u"Vous avez été déconnecté de la salle depuis le serveur Msn. Les mots suivant on été dit avant que vous soyez déconnecté, pendant que vous apparaissiez connecté à la salle par les autres utilisateurs."
		groupchatPrivateError = u"Désolé. Vous ne pouvez envoyer des messages privés aux contacts de cette conférence. Merci de les ajouter à votre liste et leur envoyer un message."
		msnMaintenance = u"Notification en provenance de Microsoft. Le reseau MSN Messenger va être arrété pour maintenance."
		msnMultipleLogin = u"Votre compte MSN a été utilisé à un autre endroit. Merci de vous déconnecté de celui-ci et de réactiver le transport MSN."
		msnNotVerified = u"L'adresse de courriel de votre  passport MSN %s n'a pas été vérifié. Les utitilisateurs MSN ne pourront voir votre pseudo et serotn informé que votre compte n'est peux être pas légitime. Merci de vous informer auprès de Microsoft pour plus de détails."
		msnLoginFailure = u"Le transport MSN n'a psu connecter votre compte MSN %s. Merci de vérifiet que votre mot de passe est correct. Vous aurez peut-être à vous reenregistrer avec le transport."
		msnFailedMessage = u"Ce message n'a pas être délivré. Merci de vérifier que votre contact est en-ligne ou que son adresse est correct.\nLe message été :\n\n"
		msnInitialMail = u"Notification Hotmail\n\n Message non lu dans votre boite de reception: %s\nMessages non lu dans le dossier: %s"
		msnRealtimeMail = u"Notification Hotmail\n\nDe: %s <%s>\n Sujet: %s"
		msnDisconnected = u"Déconnecté du serveur MSN: %s"
	fr_FR = fr
	fr_LU = fr
	fr_CH = fr
	fr_CA = fr
	fr_BE = fr
