# Copyright 2004 James Bunton <james@delx.cjb.net>
# Licensed for distribution under the GPL version 2, check COPYING for details


import sys
import os
from tlib.domish import parseFile

import config


def invalidError(text):
	print text
	print "Exiting..."
	sys.exit(1)


def reloadConfig():
	# Find out where the config file is
	configFile = "/usr/local/etc/jabber-pymsn.xml"
	if(len(sys.argv) == 2):
		configFile = sys.argv[1]

	# Check the file exists
	if(not os.path.isfile(configFile)):
		print "Configuration file not found. You need to create a config.xml file in the PyMSNt directory."
		sys.exit(1)

	# Get ourself a DOM
	root = parseFile(configFile)

	# Store all the options in config
	for el in root.elements():
		tag = el.name
		cdata = str(el)
		if(cdata):
			# For config options like <ip>127.0.0.1</ip>
			if(type(getattr(config, tag)) != str):
				invalidError("Tag %s in your configuration file should be a boolean (ie, no cdata)." % (tag))
			setattr(config, tag, cdata)
		else:
			# For config options like <sessionGreeting/>
			if(type(getattr(config, tag)) != bool):
				invalidError("Tag %s in your configuration file should be a string (ie, must have cdata)." % (tag))
			setattr(config, tag, True)



# Set SIGHUP to reload the config file
if(os.name == "posix"):
	import signal
	signal.signal(signal.SIGHUP, reloadConfig)

